OWNCLOUD(1)

NAME
owncloud - File synchronisation desktop utility.

SYNOPSIS

owncloud [OPTIONS...]

DESCRIPTION

The ownCloud Client is a file synchronization desktop utility. It synchronizes files on your local computer, tablet, or handheld device with an ownCloud Server. If you make a change to the files on one device, the change is propagated to all other synchronized devices using the desktop synchronization clients.

Normally, you start the client by clicking on the desktop icon or by starting it from the client application menu. After starting, an ownCloud icon appears in the computer system tray or on your tablet or handheld device.

OPTIONS

When invoking the client from the command line, the following options are supported:

-h, --help
    Displays all command options.

--logwindow
    Opens a window displaying log output.

--logfile <filename>
    Write log output to the file specified. To write to stdout, specify - as the filename.

--logdir <name>
    Writes each synchronization log output in a new file in the specified directory.

--logexpire <hours>
    Removes logs older than the value specified (in hours). This command is used with --logdir.

--logflush
    Clears (flushes) the log file after each write action.

--confdir <dirname>
    Uses the specified configuration directory.

CONFIG FILE

The ownCloud Client reads a configuration file. You can locate this configuration files as follows:

On Linux distributions:
    $HOME/.local/share/data/ownCloud/owncloud.cfg

On Microsoft Windows systems:
    %LOCALAPPDATA%\ownCloud\owncloud.cfg

On MAC OS X systems:
    $HOME/Library/Application Support/ownCloud

    The configuration file contains settings using the Microsoft Windows .ini file format. You can overwrite changes using the ownCloud configuration dialog.

    NOTE: Use caution when making changes to the ownCloud Client configuration file. Incorrect settings can produce unintended results.

    You can change the following configuration settings:

•   remotePollInterval (default: 30000) -- Specifies the poll time for the remote repository in milliseconds.

•   maxLogLines (default: 20000) -- Specifies the maximum number of log lines displayed in the log window.

BUGS

Please report bugs at https://github.com/owncloud/client/issues.

SEE ALSO

owncloudcmd(1)

AUTHOR
The ownCloud developers

COPYRIGHT
2013, The ownCloud developers